Rudiments

Public Member Functions | Friends | List of all members
codetreegrammar Class Reference

Inherits xmldom.

## Public Member Functions
| codetreegrammar ()
| ~codetreegrammar ()
Public Member Functions inherited from xmldom
| xmldom ()
| xmldom (bool stringcacheenabled)
virtual | ~xmldom ()
bool | parseFile (const char *filename)
bool | parseString (const char *string)
void | createRootNode ()
Public Member Functions inherited from xmlsax
| xmlsax ()
virtual | ~xmlsax ()
Public Member Functions inherited from sax
| sax ()
virtual | ~sax ()
const char * | getError ()
Public Member Functions inherited from dom
| dom ()
| dom (bool stringcacheenabled)
virtual | ~dom ()
virtual domnode * | getRootNode () const
virtual domnode * | getNullNode () const
virtual bool | writeFile (const char *filename, mode_t perms) const
virtual bool | write (output *out) const
virtual bool | write (output *out, bool indent) const
bool | stringCacheEnabled ()

## Friends
class | codetree

## Additional Inherited Members
Protected Member Functions inherited from xmldom
virtual bool | tagStart (const char *ns, const char *name)
virtual bool | attributeName (const char *name)
virtual bool | attributeValue (const char *value)
virtual bool | text (const char *string)
virtual bool | tagEnd (const char *ns, const char *name)
virtual bool | comment (const char *string)
virtual bool | cdata (const char *string)

## Detailed Description

A child class of dom with various codetree-specific optimizations.

## Constructor & Destructor Documentation

## ◆ codetreegrammar()

codetreegrammar::codetreegrammar | ( |  | ) |

Creates a new instance of the codetreegrammar class.

## ◆ ~codetreegrammar()

codetreegrammar::~codetreegrammar | ( |  | ) |

Deletes this instance of the codetreegrammar class.